FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Multi_Browser Class Reference

The Fl_Multi_Browser class is a subclass of Fl_Browser which lets the user select any set of the lines. More...

`#include <Fl_Multi_Browser.H>`

Inheritance diagram for Fl_Multi_Browser:

List of all members.

## Public Member Functions
| Fl_Multi_Browser (int X, int Y, int W, int H, const char *L=0)
| Creates a new Fl_Multi_Browser widget using the given position, size, and label string.

## Detailed Description

The Fl_Multi_Browser class is a subclass of Fl_Browser which lets the user select any set of the lines.

The user interface is Macintosh style: clicking an item turns off all the others and selects that one, dragging selects all the items the mouse moves over, and shift + click toggles the items. This is different then how forms did it. Normally the callback is done when the user releases the mouse, but you can change this with when().

See Fl_Browser for methods to add and remove lines from the browser.

## Constructor & Destructor Documentation

Fl_Multi_Browser::Fl_Multi_Browser | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | L = `0`
| ) |  |

Creates a new Fl_Multi_Browser widget using the given position, size, and label string.

The default boxtype is FL_DOWN_BOX. The constructor specializes Fl_Browser() by setting the type to FL_MULTI_BROWSER. The destructor destroys the widget and frees all memory that has been allocated.

The documentation for this class was generated from the following files:

- Fl_Multi_Browser.H
- Fl_Browser.cxx